#!/bin/bash
###############################################
# Script: radio.sh
# Autor: E.D.Saracho
# Fecha: 21/07/2009
# Version: 1.1
# Descripcion: Sintonizador ciclico de radio - Cyclic radio tuner
#
# Changelog:
#
# - 21/07/2009 : primera version del script - first version of the script
# - 23/07/2009 : agregada la funcion de apagado - added the off feature
#
###############################################
# Add the title and URL of the radio. If you add more than 5, make the variables# TITLE and RADIO according to the numbering.

# Agregue el titulo y la URL de las radios. Si agrega mas de 5, cree las variables TITLE y RADIO siguiendo la numeracion. 

TITLE1="FM Rock \& Pop"
RADIO1="mms://streaming.fmrockandpop.com/rockandpop?MSWMExt=.asf"
TITLE2="AM Radio 10"
RADIO2="mms://radio10.telecomdatacenter.com.ar/radio10"
TITLE3="FM Mega"
RADIO3="http://mega.telecomdatacenter.com.ar/mega"
TITLE4="FM Los 40"
RADIO4="http://66.175.96.10/ARLOS40P"
TITLE5="AM Continental"
RADIO5="http://66.175.96.10/arcontinental"
#TITLE6=""
#RADIO6=""

# Make files

cd $HOME/.radio/
if [ -x display ];
   then
     sleep 0 ;
   else
     touch display
     chmod 755 display;
fi

echo $(($(cat press)+1)) > press

# Variables to turn off the radio.
# Variables para apagar la radio.

TIME=1 #time between keystrokes (of the key shortcut) to turn off the radio. 
	   #tiempo entre pulsaciones (del atajo de teclado) para apagar la radio.
T1=$(cat date)
T2=$(date +%s)

# Turn off or select the radios

if (( $(expr $T2 - $T1) <= $TIME ));
	then
		kill $(cat pid)
		echo 0 > press
		echo "echo OFF" > display ;
	else
		case $(echo $(cat press)) in
	
			1) 
			mplayer $RADIO1 &
			echo $! > pid
			echo "echo "$TITLE1"" > display
			date +%s > date ;;
			2) 
			kill $(cat pid)
			mplayer  $RADIO2 &
			echo $! > pid
			echo "echo "$TITLE2"" > display
			date +%s > date ;;
			3)
			kill $(cat pid)
			mplayer $RADIO3 &
			echo $! > pid
			echo "echo "$TITLE3"" > display
			date +%s > date ;;
			4)
			kill $(cat pid)
			mplayer $RADIO4 &
			echo $! > pid
			echo "echo "$TITLE4"" > display
			date +%s > date ;;
			5)
			kill $(cat pid)
			mplayer $RADIO5 &
			echo $! > pid
			echo "echo "$TITLE5"" > display
		    date +%s > date ;;
		# Add this block for each radio
		# Agregue este bloque para cada radio
		#
		#[number])
		#	   kill $(cat pid)
		#      mplayer $RADIO[number] &
		#	   echo $! > pid
		#	   echo "echo "$TITLE[number]"" > display
		#	   date +%s > date ;;

			6)  # Change this number by the number of radios + 1
				# Cambie este numero por el numero de radios + 1
			kill $(cat pid)
			echo 0 > press
			echo "echo OFF" > display
		esac
fi

# End of script
